Bug 1881038 - Testcase upgrade gnome-software previous workstation 21/sept
Summary: Testcase upgrade gnome-software previous workstation 21/sept
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-21 12:19 UTC by jpbn
Modified: 2020-11-24 18:35 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 18:35:26 UTC
Type: Bug


Attachments (Terms of Use)

Description jpbn 2020-09-21 12:19:12 UTC
Description of problem:
tested Testcase upgrade gnome-software previous workstation
did the first 3 steps  On F 31
 1.Enable showing pre-release Fedora versions using this command:

gsettings set org.gnome.software show-upgrade-prerelease true

2. Reboot the system or log out and in again, then wait for a few minutes.
3. A notification of an available upgrade should appear. If it does, click it. If not, note this as a bug, :


How reproducible:
tried again, followed these steps again, restart no pos result.

Expected results:
an announce of available upgrade to Fedsora new version

Additional info:

Comment 1 Daniel Mach 2020-10-05 11:14:59 UTC
Reassigning to gnome-software for further investigation.
The root cause also might be in PackageKit code or in how it uses libdnf.

Comment 2 Kalev Lember 2020-10-05 13:06:31 UTC
I just tested it in a F31 VM and I correctly got the F33 upgrade banner. Is this still broken for you with latest updates?

Comment 3 jpbn 2020-10-05 17:02:46 UTC
I did re test on a new install of F33  with all updates ans latest updates. 
On bare metal, iMacpro 2008, did log out  log in again,  waited five minutes.
nothing appears.
In dconf-editor the shop-upgrade-prerelease is on. 


did the same thing on power off. 
fresh start, log in, wait. for more than 15 minutes. Nothing to be seen.

Comment 4 Ben Cotton 2020-11-03 16:45:04 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2020-11-24 18:35:26 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.